declare enum ErrorCodes {
    invalidType = "invalid-type",
    tokenNotReady = "token-not-ready",
    invalidValue = "invalid-value",
    invalidArray = "invalid-array",
    invalidObject = "invalid-object",
    valueRequired = "value-required",
    nullNotAllowed = "null-not-allowed",
    notAllowed = "not-allowed",
    multipleHeaders = "multiple-headers-found",
    invalidCollection = "invalid-collection",
    invlidHeader = "invalid-header",
    invalidHeaderItem = "invalid-header-item",
    expectingSeparator = "expecting-a-separator",
    openBracket = "open-bracket",
    invalidBracket = "invalid-bracket",
    incompleteEscapeSequence = "incomplete-escape-sequence",
    positionalMemberAfterKeywordMember = "positional-member-after-keyword-member",
    invalidSchema = "invalid-schema",
    invalidKey = "invalid-key",
    invalidMemberDefCondition = "invalid-memberdef-condition",
    notAString = "not-a-string",
    invalidChar = "invalid-char",
    invalidEmail = "invalid-email",
    invalidUrl = "invalid-url",
    stringNotClosed = "string-not-closed",
    valueNotInChoice = "value-not-in-choice",
    invalidChoice = "invalid-choice",
    invalidMinLength = "invalid-min-length",
    invalidMaxLength = "invalid-max-length",
    notANumber = "not-a-number",
    notAnInteger = "not-an-integer",
    outOfRange = "out-of-range",
    invalidMinValue = "invalid-min-value",
    invalidMaxValue = "invalid-max-value",
    notABool = "not-a-bool",
    invalidDateTime = "invalid-datetime"
}
export default ErrorCodes;
//# sourceMappingURL=io-error-codes.d.ts.map