"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SCHEMA = exports.HASH = exports.SCALAR = exports.ARRAY = exports.OBJECT = exports.COLLECTION = exports.BACKSLASH = exports.SEPARATORS = exports.STRING_ENCLOSER = exports.SQUARE_CLOSED = exports.SQUARE_OPEN = exports.CURLY_CLOSED = exports.CURLY_OPEN = exports.COLON = exports.COMMA = exports.TILDE = exports.DATASEP = exports.NULL_F = exports.NULL = exports.FALSE_F = exports.FALSE = exports.TRUE_F = exports.TRUE = exports.NEW_LINE = exports.AT = exports.QUOTE = exports.SPACE = exports.HYPHEN = exports.EMPTY = exports.UNSURE = exports.VAL = exports.KEY = exports.NINE = exports.ZERO = void 0;
// CharCodes
exports.ZERO = 48;
exports.NINE = 57;
// Other
exports.KEY = 'key';
exports.VAL = 'val';
exports.UNSURE = 'unsure';
exports.EMPTY = 'empty';
exports.HYPHEN = '-';
exports.SPACE = ' ';
exports.QUOTE = "'";
exports.AT = '@';
exports.NEW_LINE = '\n';
// Keywords and Language
exports.TRUE = 'T';
exports.TRUE_F = 'true';
exports.FALSE = 'F';
exports.FALSE_F = 'false';
exports.NULL = 'N';
exports.NULL_F = 'null';
exports.DATASEP = '---';
// Separators
exports.TILDE = '~';
exports.COMMA = ',';
exports.COLON = ':';
exports.CURLY_OPEN = '{';
exports.CURLY_CLOSED = '}';
exports.SQUARE_OPEN = '[';
exports.SQUARE_CLOSED = ']';
exports.STRING_ENCLOSER = '"';
exports.SEPARATORS = [exports.COMMA, exports.COLON, exports.CURLY_OPEN, exports.CURLY_CLOSED, exports.SQUARE_OPEN, exports.SQUARE_CLOSED];
// Escape characters
exports.BACKSLASH = '\\';
// Parsed Tree Types
exports.COLLECTION = 'collection';
exports.OBJECT = 'object';
exports.ARRAY = 'array';
exports.SCALAR = 'scalar';
// Others
exports.HASH = '#';
exports.SCHEMA = '$schema';
//# sourceMappingURL=constants.js.map