import { Token } from '.';
declare type NullableToken = Token | null;
export default class Tokenizer {
    private _text;
    private _tokens;
    private _value;
    private _lastToken;
    private _tokenLength;
    private _done;
    private _index;
    private _row;
    private _col;
    private _start;
    private _end;
    private _isQuoatedString;
    private _isRawString;
    private _isEscaping;
    private _isCommenting;
    constructor(text: string);
    read: () => NullableToken;
    readAll: () => this;
    get done(): boolean;
    get length(): number;
    push: (...items: Token[]) => Tokenizer;
    get tokens(): Token[];
    get(index: number): Token;
    private _returnToken;
    private _next;
    private skipNextWhiteSpaces;
    private get _node();
}
export {};
//# sourceMappingURL=tokenizer.d.ts.map