import { ParserTreeValue } from '../parser/index';
import MemberDef from './memberdef';
import TypeDef from './typedef';
import KeyValueCollection from '../header/index';
/**
 * Represents the InternetObject String, performs following validations.
 *
 * - Value is boolean
 * - Value is optional
 * - Value is nullable
 */
export default class BooleanDef implements TypeDef {
    private _type;
    constructor(type?: string);
    getType(): string;
    parse(data: ParserTreeValue, memberDef: MemberDef, vars?: KeyValueCollection): string;
    load(data: any, memberDef: MemberDef): string;
    serialize(data: string, memberDef: MemberDef): string;
    validate(data: any, memberDef: MemberDef, vars?: KeyValueCollection): any;
}
//# sourceMappingURL=boolean.d.ts.map