"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var any_1 = require("./any");
var array_1 = require("./array");
var boolean_1 = require("./boolean");
var number_1 = require("./number");
var object_1 = require("./object");
var string_1 = require("./string");
var datetime_1 = require("./datetime");
var typedef_registry_1 = require("./typedef-registry");
typedef_registry_1.TypedefRegistry.register('any', new any_1.default());
typedef_registry_1.TypedefRegistry.register('bool', new boolean_1.default('bool'));
typedef_registry_1.TypedefRegistry.register('string', new string_1.default('string'));
typedef_registry_1.TypedefRegistry.register('email', new string_1.default('email'));
typedef_registry_1.TypedefRegistry.register('url', new string_1.default('url'));
typedef_registry_1.TypedefRegistry.register('number', new number_1.default('number'));
typedef_registry_1.TypedefRegistry.register('byte', new number_1.default('byte'));
typedef_registry_1.TypedefRegistry.register('int16', new number_1.default('int16'));
typedef_registry_1.TypedefRegistry.register('int32', new number_1.default('int32'));
typedef_registry_1.TypedefRegistry.register('int', new number_1.default('int'));
typedef_registry_1.TypedefRegistry.register('datetime', new datetime_1.default('datetime'));
typedef_registry_1.TypedefRegistry.register('date', new datetime_1.default('date'));
typedef_registry_1.TypedefRegistry.register('time', new datetime_1.default('time'));
typedef_registry_1.TypedefRegistry.register('array', new array_1.default());
typedef_registry_1.TypedefRegistry.register('object', new object_1.default());
// TODO: Include Date and DateTime Types
//# sourceMappingURL=index.js.map